gnutls_crypto_digest_register(3)

NAME
gnutls_crypto_digest_register - register a digest algorithm

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_crypto_digest_register(gnutls_digest_algorithm_t algorithm, int priority, gnutls_crypto_digest_st* s);

ARGUMENTS

gnutls_digest_algorithm_t algorithm
    is the gnutls algorithm identifier

int priority
    is the priority of the algorithm

gnutls_crypto_digest_st* s
    is a structure holding new algorithms's data

DESCRIPTION
This function will register a digest (hash) algorithm to be used by gnutls. Any algorithm registered will override the included algorithms and by convention kernel implemented algorithms have priority of 90. The algorithm with the lowest priority will be used by gnutls. This function should be called before gnutls_global_init().

RETURNS
GNUTLS_E_SUCCESS on success, otherwise an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.